# POST /v4/internal/users/

_Merkl API_

## Request body

**`application/json`**
```json
{
  "type": "object",
  "properties": {
    "address": {
      "description": "User wallet address",
      "type": "string"
    },
    "tags": {
      "description": "Tags associated with the user",
      "type": "array",
      "items": {
        "type": "string"
      }
    }
  },
  "required": [
    "address",
    "tags"
  ]
}
```
**`application/x-www-form-urlencoded`**
```json
{
  "type": "object",
  "properties": {
    "address": {
      "description": "User wallet address",
      "type": "string"
    },
    "tags": {
      "description": "Tags associated with the user",
      "type": "array",
      "items": {
        "type": "string"
      }
    }
  },
  "required": [
    "address",
    "tags"
  ]
}
```
**`multipart/form-data`**
```json
{
  "type": "object",
  "properties": {
    "address": {
      "description": "User wallet address",
      "type": "string"
    },
    "tags": {
      "description": "Tags associated with the user",
      "type": "array",
      "items": {
        "type": "string"
      }
    }
  },
  "required": [
    "address",
    "tags"
  ]
}
```

## Example request

```bash
curl -X POST "https://api.merkl.xyz//v4/internal/users/" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{ ... }'
```